summaryrefslogtreecommitdiffstats
path: root/remote/modules
diff options
context:
space:
mode:
authorSimon Rettberg2013-12-02 17:18:00 +0100
committerSimon Rettberg2013-12-02 17:18:00 +0100
commit774d5274945b13e3cf96dc6b12b37da960b31d71 (patch)
tree2810c8ca8d49af8c2ec4bebd9242e306db649fa1 /remote/modules
parent<blacklist stage4> add X11 scripts to blacklist (diff)
parent[vmware] added Xreset to process the Xreset.d directory :) (diff)
downloadtm-scripts-774d5274945b13e3cf96dc6b12b37da960b31d71.tar.gz
tm-scripts-774d5274945b13e3cf96dc6b12b37da960b31d71.tar.xz
tm-scripts-774d5274945b13e3cf96dc6b12b37da960b31d71.zip
Merge branch 'master' of dnbd3:openslx-ng/tm-scripts
Diffstat (limited to 'remote/modules')
-rwxr-xr-xremote/modules/pam/data/opt/openslx/scripts/pam_script_ses_open2
-rwxr-xr-xremote/modules/vmware/data/etc/X11/Xreset34
2 files changed, 35 insertions, 1 deletions
diff --git a/remote/modules/pam/data/opt/openslx/scripts/pam_script_ses_open b/remote/modules/pam/data/opt/openslx/scripts/pam_script_ses_open
index 881d5be0..0774775b 100755
--- a/remote/modules/pam/data/opt/openslx/scripts/pam_script_ses_open
+++ b/remote/modules/pam/data/opt/openslx/scripts/pam_script_ses_open
@@ -49,7 +49,7 @@ for ext in doc docx xls xlsx ppt pptx odt rtf wri ini inf; do
done
chown -R "${PAM_USER}" "${TEMP_HOME_DIR}" || \
- { slxlog "pam-global-chpersistent " "Could not chown '${PERSISTENT_HOME_DIR}' to '${PAM_USER}'."; exit 1; }
+ { slxlog "pam-global-chpersistent " "Could not chown '${TEMP_HOME_DIR}' to '${PAM_USER}'."; exit 1; }
# now lets see if we have a persistent directory
[ ! -e "${PERSISTENT_MOUNT_SCRIPT}" ] && exit 0
diff --git a/remote/modules/vmware/data/etc/X11/Xreset b/remote/modules/vmware/data/etc/X11/Xreset
new file mode 100755
index 00000000..7a0974cf
--- /dev/null
+++ b/remote/modules/vmware/data/etc/X11/Xreset
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+# /etc/X11/Xreset
+#
+# global Xreset file -- for use by display managers
+
+# $Id: Xsession 967 2005-12-27 07:20:55Z dnusinow $
+
+set -e
+
+PROGNAME=Xreset
+SYSSESSIONDIR=/etc/X11/Xreset.d
+
+if [ ! -d "$SYSSESSIONDIR" ]; then
+ # Nothing to do, exiting
+ exit 0
+fi
+
+# use run-parts to source every file in the session directory; we source
+# instead of executing so that the variables and functions defined above
+# are available to the scripts, and so that they can pass variables to each
+# other
+SESSIONFILES=$(run-parts --list $SYSSESSIONDIR)
+if [ -n "$SESSIONFILES" ]; then
+ set +e
+ for SESSIONFILE in $SESSIONFILES; do
+ . $SESSIONFILE
+ done
+ set -e
+fi
+
+exit 0
+
+# vim:set ai et sts=2 sw=2 tw=80: